Solved thread

This post is marked as solved. If you think the information contained on this thread must be part of the official documentation, please contribute submitting a pull request to its repository.

Windows install problems

Running on a Linux box is no problem however I find the install on Macs and Windows boxes troublesome. I have win7 and standalone apache + php c:\Program Files (x86)>php -v PHP 5.3.25 (cli) (built: May 8 2013 19:16:49) Copyright (c) 1997-2013 The PHP Group Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies with Xdebug v2.2.3, Copyright (c) 2002-2013, by Derick Rethans

First of all...which file to download. There is a link to a script on this page (under the video)but it seems dead : http://docs.phalconphp.com/en/latest/reference/install.html#windows So I tried several but Apache says <b>Warning</b>: PHP Startup: Unable to load dynamic library 'C:\php\ext\php_phalcon.dll' - The specified module could not be found.

in <b>Unknown</b> on line <b>0</b><br /> [Thu Oct 02 08:57:21 2014] [notice] Apache/2.2.22 (Win32) PHP/5.3.25 configured -- resuming normal operations [Thu Oct 02 08:57:21 2014] [notice] Server built: Jan 28 2012 11:16:39 [Thu Oct 02 08:57:21 2014] [notice] Parent: Created child process 4408 <br /> <b>Warning</b>: PHP Startup: Unable to load dynamic library 'C:\php\ext\php_phalcon.dll' - The specified module could not be found.

I'm not sure too sure if the Phalcon DLL must exactly match the PHP version ? We have no VC compiler available and we don't want to dive deep into that stuff. We just selecting a single framework for our company which is easy to use and install



84.5k
Accepted
answer

Does this file C:\php\ext\php_phalcon.dll exist?

Check in your phpinfo() where the extension directory is, I think the one you need is: http://static.phalconphp.com/files/phalcon%5x86%5VC9%5php5.3.9%51.3.3.zip



1.7k

The dll did already exist but the version you supplied did the trick. Working now. Thank you. But since we are evaluating if Phalcon is the way to go for us -how can we discover which dll to use ? Is there a relation between the php version and dll version eg it looks like you can install a higher dll on a lower PHP ? -how to run it on MAC's for localhost development -how fast is Phalcon switching to new versions in case of new versions of PHP (eg for security fixes)



84.5k

how can we discover which dll to use ? Is there a relation between the php version and dll version eg it looks like you can install a higher dll on a lower PHP ?

phalcon_x86_VC9_php5.3.9_1.3.3.zip
               ^____ Your architecture x86=32bits 64=64bits
                       ^____ PHP 5.3 only uses VC9 as compiler
                                           ^____ The minimum PHP 5.3.x supported

Most development stacks in Windows use the TS (Thread-Safe) DLL, only Zend Server use the NTS which is also available

how to run it on MAC's for localhost development

You can install it using MacPorts/Brew as described in the docs: http://docs.phalconphp.com/en/latest/reference/install.html#mac-os-x

how fast is Phalcon switching to new versions in case of new versions of PHP (eg for security fixes)

If a security problem is reported/discovered a new minor version will be released ASAP,